
from decouple import config
from django.http import JsonResponse
from rest_framework.response import Response
import pymongo

connection_string = config('MONGO_HOST');
client = pymongo.MongoClient(connection_string)
dbname = client[config('MONGO_DB')]

def prueba_mongo(request):
    collection_name = dbname['productos']
    productos = collection_name.find({})
    data = []
    for r in productos:
        data.append({
            'id': str(r['_id']),
            'codigo': r['codigo'],
            'nombre': r['nombre'],
        })
    return JsonResponse(data, safe=False)
